loci.formats.in

## Enum BaseZeissReader.FeatureType

- java.lang.Object
- - java.lang.Enum<BaseZeissReader.FeatureType>
  - - loci.formats.in.BaseZeissReader.FeatureType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BaseZeissReader.FeatureType>
  Enclosing class:
    BaseZeissReader

      static enum BaseZeissReader.FeatureType
      extends java.lang.Enum<BaseZeissReader.FeatureType>

  Feature types. Two major catagories, "annotations" and "measurements". NOTE: Some of the point types are relative to a defined coordinate system (not yet seen).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALIGNED_RECTANGLE`
    `ANGLE3`
    `ANGLE4`
    `CALIPER`
    `CIRCLE`
    `DISTANCE`
    `ELLIPSE`
    `LENGTH`
    `LINE`
    `LUT`
    `MEAS_ALIGNED_RECTANGLE`
    `MEAS_ANGLE3`
    `MEAS_ANGLE4`
    `MEAS_CALIPER`
    `MEAS_CIRCLE`
    `MEAS_DISTANCE`
    `MEAS_ELLIPSE`
    `MEAS_LENGTH`
    `MEAS_LINE`
    `MEAS_MULTIPLE_CALIPER`
    `MEAS_MULTIPLE_DISTANCE`
    `MEAS_POINT`
    `MEAS_POINTS`
    `MEAS_POLYLINE_CLOSED`
    `MEAS_POLYLINE_OPEN`
    `MEAS_PROFILE`
    `MEAS_RECTANGLE`
    `MEAS_SPLINE_CLOSED`
    `MEAS_SPLINE_OPEN`
    `MULTIPLE_CALIPER`
    `MULTIPLE_DISTANCE`
    `POINT`
    `POINTS`
    `POLYLINE_CLOSED`
    `POLYLINE_OPEN`
    `RECTANGLE`
    `SCALE_BAR`
    `SPLINE_CLOSED`
    `SPLINE_OPEN`
    `TEXT`
    `UNKNOWN`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.util.Map<java.lang.Integer,BaseZeissReader.FeatureType>` | `lookup`
    `private int` | `points`
    `private int` | `value`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) boolean` | `checkPoints(int points)`
    `static BaseZeissReader.FeatureType` | `get(int value)`
    `int` | `getPoints()`
    `int` | `getValue()`
    `static BaseZeissReader.FeatureType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BaseZeissReader.FeatureType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final BaseZeissReader.FeatureType UNKNOWN

    - #### POINT

          public static final BaseZeissReader.FeatureType POINT

    - #### POINTS

          public static final BaseZeissReader.FeatureType POINTS

    - #### LINE

          public static final BaseZeissReader.FeatureType LINE

    - #### CALIPER

          public static final BaseZeissReader.FeatureType CALIPER

    - #### DISTANCE

          public static final BaseZeissReader.FeatureType DISTANCE

    - #### MULTIPLE_CALIPER

          public static final BaseZeissReader.FeatureType MULTIPLE_CALIPER

    - #### MULTIPLE_DISTANCE

          public static final BaseZeissReader.FeatureType MULTIPLE_DISTANCE

    - #### ANGLE3

          public static final BaseZeissReader.FeatureType ANGLE3

    - #### ANGLE4

          public static final BaseZeissReader.FeatureType ANGLE4

    - #### CIRCLE

          public static final BaseZeissReader.FeatureType CIRCLE

    - #### SCALE_BAR

          public static final BaseZeissReader.FeatureType SCALE_BAR

    - #### POLYLINE_OPEN

          public static final BaseZeissReader.FeatureType POLYLINE_OPEN

    - #### ALIGNED_RECTANGLE

          public static final BaseZeissReader.FeatureType ALIGNED_RECTANGLE

    - #### RECTANGLE

          public static final BaseZeissReader.FeatureType RECTANGLE

    - #### ELLIPSE

          public static final BaseZeissReader.FeatureType ELLIPSE

    - #### POLYLINE_CLOSED

          public static final BaseZeissReader.FeatureType POLYLINE_CLOSED

    - #### TEXT

          public static final BaseZeissReader.FeatureType TEXT

    - #### LENGTH

          public static final BaseZeissReader.FeatureType LENGTH

    - #### SPLINE_OPEN

          public static final BaseZeissReader.FeatureType SPLINE_OPEN

    - #### SPLINE_CLOSED

          public static final BaseZeissReader.FeatureType SPLINE_CLOSED

    - #### LUT

          public static final BaseZeissReader.FeatureType LUT

    - #### MEAS_PROFILE

          public static final BaseZeissReader.FeatureType MEAS_PROFILE

    - #### MEAS_POINT

          public static final BaseZeissReader.FeatureType MEAS_POINT

    - #### MEAS_POINTS

          public static final BaseZeissReader.FeatureType MEAS_POINTS

    - #### MEAS_LINE

          public static final BaseZeissReader.FeatureType MEAS_LINE

    - #### MEAS_CALIPER

          public static final BaseZeissReader.FeatureType MEAS_CALIPER

    - #### MEAS_DISTANCE

          public static final BaseZeissReader.FeatureType MEAS_DISTANCE

    - #### MEAS_MULTIPLE_CALIPER

          public static final BaseZeissReader.FeatureType MEAS_MULTIPLE_CALIPER

    - #### MEAS_MULTIPLE_DISTANCE

          public static final BaseZeissReader.FeatureType MEAS_MULTIPLE_DISTANCE

    - #### MEAS_ANGLE3

          public static final BaseZeissReader.FeatureType MEAS_ANGLE3

    - #### MEAS_ANGLE4

          public static final BaseZeissReader.FeatureType MEAS_ANGLE4

    - #### MEAS_CIRCLE

          public static final BaseZeissReader.FeatureType MEAS_CIRCLE

    - #### MEAS_POLYLINE_OPEN

          public static final BaseZeissReader.FeatureType MEAS_POLYLINE_OPEN

    - #### MEAS_ALIGNED_RECTANGLE

          public static final BaseZeissReader.FeatureType MEAS_ALIGNED_RECTANGLE

    - #### MEAS_RECTANGLE

          public static final BaseZeissReader.FeatureType MEAS_RECTANGLE

    - #### MEAS_ELLIPSE

          public static final BaseZeissReader.FeatureType MEAS_ELLIPSE

    - #### MEAS_POLYLINE_CLOSED

          public static final BaseZeissReader.FeatureType MEAS_POLYLINE_CLOSED

    - #### MEAS_LENGTH

          public static final BaseZeissReader.FeatureType MEAS_LENGTH

    - #### MEAS_SPLINE_OPEN

          public static final BaseZeissReader.FeatureType MEAS_SPLINE_OPEN

    - #### MEAS_SPLINE_CLOSED

          public static final BaseZeissReader.FeatureType MEAS_SPLINE_CLOSED

  - ### Field Detail

    - #### lookup

          private static final java.util.Map<java.lang.Integer,BaseZeissReader.FeatureType> lookup

    - #### value

          private int value

    - #### points

          private int points

  - ### Method Detail

    - #### values

          public static BaseZeissReader.FeatureType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BaseZeissReader.FeatureType c : BaseZeissReader.FeatureType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BaseZeissReader.FeatureType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### getPoints

          public int getPoints()

    - #### checkPoints

          boolean checkPoints(int points)

    - #### get

          public static BaseZeissReader.FeatureType get(int value)

Copyright © 2026 Open Microscopy Environment